%define name mindi
%define version 0.87
%define release 2mdk

Summary: Creates emergency boot disks/CDs using your kernel, tools and modules.
Name: %name
Version: %version
Release: %release
License: GPL
Group: System/Kernel and hardware
Url: http://www.microwerks.net/~hugo/
Source: %name-%{version}.tar.bz2
BuildRoot: %_tmppath/%name-%version
Requires: afio, bzip2 >= 0.9, mkisofs
Requires: binutils syslinux lilo
Buildarch:	noarch
Autoreqprov: no

%description
Mindi takes your kernel, modules, tools and libraries, and puts them on N
bootable disks (or 1 bootable CD image). You may then boot from the disks/CD
and do system maintenance - e.g. format partitions, backup/restore data,
verify packages, etc.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %name-%{version}

%build

%install

# Don't relativize symlinks it breaks mindi
export DONT_RELINK=1

rm -rf $RPM_BUILD_ROOT
MINDIDIR=$RPM_BUILD_ROOT%{_datadir}/mindi
mkdir -p $MINDIDIR $RPM_BUILD_ROOT%{_sbindir}
cp -a * $MINDIDIR

# These are installed twice if not removed here
( cd $MINDIDIR
rm -f CHANGES INSTALL LICENSE README TODO 
)

# Symlinks
ln -sf %_datadir/mindi/mindi %buildroot/%{_sbindir}/%{name}
ln -sf %_datadir/mindi/analyze-my-lvm %buildroot/%{_sbindir}/analyze-my-lvm

# Some rights are wierd
cd $RPM_BUILD_ROOT/%_datadir/%name
chmod 644 *.tgz
chmod 644 *.bz2
chmod 644 *.txt
chmod 755 mindi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config
%defattr(-,root,root)
%doc CHANGES INSTALL LICENSE README TODO 
%{_sbindir}/*
%defattr(-,root,root,755)
%{_datadir}/mindi

%changelog
* Fri Dec 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.87-2mdk
- autoreqprov set at no

* Fri Oct 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.87-1mdk
- 0.87

* Mon May 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.84-1mdk
- 0.84

* Tue Feb 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.82-1mdk
- 0.82
- new url

* Wed Jan 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.81-1mdk
- 0.81

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.67-1mdk
- 0.67

* Mon Sep 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.66-0.1mdk
- updated to 0.66_20020906

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.65-1mdk
- 0.65

* Fri Jun 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.63-2mdk
- maintenance release 7

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.63-1mdk
- 0.63
- fix url
- remove merged patch0

* Wed Apr 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.62-2mdk
- patch0(Andrej): fixes tmpfs detection

* Mon Apr 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.62-1mdk
- requires syslinux

* Mon Apr 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.62-0.1mdk
- 0.62

* Fri Apr 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.58-2mdk
- adjust requires
- don't relativize symlinks 'cause it breaks mindi


* Thu Feb 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.58-1mdk
- mdk spec
